import React, {Component} from 'react'

export default class Radioitem extends Component {
	constructor(props) {
	    super(props);

	    this.handelClick = this.handelClick.bind(this);
	}

	handelClick(event) {
		this.props.itemClick && this.props.itemClick(event, this.props.item);
	}

	render() {
		const { item } = this.props;
		return (
			<li className={'recruit-dropdown-item'} onClick={this.handelClick}>
				<span className='recruit-dropdown-text d__name'>{item.text[0]}</span>
				<span className='recruit-dropdown-text d__email'>{item.text[1]}</span>
				<span className='recruit-dropdown-text d__apart'>{item.text[2]}</span>
			</li>
		)
	}
}